(function($) {
    $(function(){
        $(document).ready(function(){
            $('.img-carousel-container').slick({
                dots: true,
                arrows: false,
                autoplay: true,
                autoplaySpeed: 6000,
                infinite: true,
                speed: 300,
                slidesToShow: 4,
                slidesToScroll: 4,
                responsive: [
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 3,
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            dots: false
                        }
                    }
                ]
            });

        });

        $(document).ready(function(){
            $('.img-banner-container').slick({
                autoplay: true,
                autoplaySpeed: 6000,
                infinite: true,
                lazyLoad: 'ondemand',
                nextArrow: '<div class="next-arrow-icon"><i class="fa fa-angle-right fa-3x" aria-hidden="true"></i></div>',
                prevArrow: '<div class="previous-arrow-icon"><i class="fa fa-angle-left fa-3x" aria-hidden="true"></i></div>',
                speed: 300,
                slidesToShow: 1,
                slidesToScroll: 1
            });

        });

        $('h1.project-title').html(function (idx, html) {
            return html.replace(/(\w+)$/, '<span class="normal">$1</span>')
        })
    });
})(jQuery);